/// ReWindowLibrary
/// A C++20 Library for creating and managing windows in a platform-independent manner
/// Developed and Maintained by the boys @ Redacted Software.
/// (c) 2024 Redacted Software
/// This work is dedicated to the public domain.

/// @file gamepad.h
/// @desc A class that models the functionality of a gamepad / controller device.
/// @edit 2024-07-29

#pragma once

namespace ReWindow
{

    class InputDevice {}; // TODO: Remember to break InputDevice into it's own file and not define it twice!!!

    class Gamepad : public InputDevice
    {
    public:

    };


    class XboxGamepad : public Gamepad {};
    class PS4Gamepad : public Gamepad {};
}