#include <rewindow/types/inputservice.hpp>

namespace ReWindow {
    namespace detail
    {
        static Mouse* internal_mouse;

        void UpdateMouse(Mouse* mouse) {
            detail::internal_mouse = mouse;
        }

    }

    namespace InputService
    {
        namespace Mouse
        {
            Vector2 GetMousePosition()
            {
                return detail::internal_mouse->GetPosition();
            }

            bool IsButtonDown(const MouseButton &btn) {
                return detail::internal_mouse->IsButtonDown(btn);
            }
        }

    }
}